Skip to main content
GET
/
timesheets
List timesheets
curl --request GET \
  --url https://www.ruddr.io/api/workspace/timesheets \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "7b3e8f1a-4c2d-4a9e-b6f5-8d1c3e7a2b9f",
      "start": "2025-03-03",
      "end": "2025-03-09",
      "createdAt": "2025-03-09T14:22:18.437Z",
      "submittedOn": "2025-03-09T14:22:18.437Z",
      "hours": 38.5,
      "member": {
        "id": "a1d4e7b2-3f8c-4e6a-9b5d-2c7f1a8e4d3b",
        "name": "Sarah Chen"
      },
      "timeEntries": [
        {
          "id": "c9f2a4b7-1e8d-4c3f-a6b5-7d2e9f1c8a4b",
          "minutes": 480
        },
        {
          "id": "d8e3b5c6-2f9a-4d1e-b7c4-6a3f8e2d9b5c",
          "minutes": 360
        },
        {
          "id": "e7f4c6d5-3a1b-4e2f-c8d3-5b4a9f1e7c6d",
          "minutes": 450
        },
        {
          "id": "f6a5d7e4-4b2c-4f3a-d9e2-4c5b8a2f6d7e",
          "minutes": 420
        }
      ]
    }
  ],
  "hasMore": true
}
A submitted period of time entries for a member, typically representing a week or split-week.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

memberId
string

Filter timesheets by the member's unique identifier.

start
string

Filter timesheets by exact start date. Must be in the form YYYY-MM-DD.

startOnAfter
string

Filter timesheets where the start date is on or after this date. Must be in the form YYYY-MM-DD.

startOnBefore
string

Filter timesheets where the start date is on or before this date. Must be in the form YYYY-MM-DD.

end
string

Filter timesheets by exact end date. Must be in the form YYYY-MM-DD.

endOnAfter
string

Filter timesheets where the end date is on or after this date. Must be in the form YYYY-MM-DD.

endOnBefore
string

Filter timesheets where the end date is on or before this date. Must be in the form YYYY-MM-DD.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.